Categories
API endpoints for categories
List categories
GET /api/v1/categories
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
entityType | query | string (project, task, routine_template, routine_block) | No | — |
organisationId | query | string | No | Organisation scope id; use personal for personal categories |
Example request
curl -X GET \
"https://api.usemonoid.com/api/v1/categories?entityType=<entityType>&organisationId=<organisationId>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"Example response
Status: 200
{
"data": [
{
"_id": "string",
"name": "string",
"color": "string",
"entityType": "string",
"organisationId": "string"
}
]
}Other statuses: 401, 403.
Response body type
{ data: Category[] }
Create category
POST /api/v1/categories
Example request
curl -X POST \
"https://api.usemonoid.com/api/v1/categories" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"
-d '{"name":"string","color":"string","entityType":"project","organisationId":"string"}'Example response
Status: 201
{
"data": {
"_id": "string",
"name": "string",
"color": "string",
"entityType": "string",
"organisationId": "string"
}
}Other statuses: 400, 401, 403.
Response body type
{ data: Category }
Get category by id
GET /api/v1/categories/{id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Path parameter. |
Example request
curl -X GET \
"https://api.usemonoid.com/api/v1/categories/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"Example response
Status: 200
{
"data": {
"_id": "string",
"name": "string",
"color": "string",
"entityType": "string",
"organisationId": "string"
}
}Other statuses: 401, 403, 404.
Response body type
{ data: Category }
Update category
PATCH /api/v1/categories/{id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Path parameter. |
Example request
curl -X PATCH \
"https://api.usemonoid.com/api/v1/categories/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"
-d '{"name":"string","color":"string","entityType":"project","organisationId":"string"}'Example response
Status: 200
{
"data": {
"_id": "string",
"name": "string",
"color": "string",
"entityType": "string",
"organisationId": "string"
}
}Other statuses: 400, 401, 403, 404.
Response body type
{ data: Category }
Delete category
DELETE /api/v1/categories/{id}
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Path parameter. |
Example request
curl -X DELETE \
"https://api.usemonoid.com/api/v1/categories/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"Other statuses: 401, 403, 404.
Response body type
—
© 2025 MONOid
All rights reserved.
All rights reserved.